com.independentsoft.exchange

## Class MailTipsConfiguration

- java.lang.Object
- - com.independentsoft.exchange.MailTipsConfiguration

-     public class MailTipsConfiguration
      extends java.lang.Object

  Contains service configuration information for the mail tips service.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<SmtpDomain>` | `getInternalDomains()` Gets the list of internal SMTP domains of the organization.
    `int` | `getLargeAudienceThreshold()` Gets the large audience threshold for a client.
    `int` | `getMaxMessageSize()` Gets the maximum message size a recipient can accept.
    `int` | `getMaxRecipients()` Gets the maximum number of recipients that can be passed to the GetMailTips Operation.
    `boolean` | `getShowExternalRecipientCount()` Gets whether consumers of the GetMailTips Operation have to show mail tips that indicate the number of external recipients to which a message is addressed.
    `boolean` | `isMailTipsEnabled()` Gets whether the mail tips service is available.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isMailTipsEnabled

          public boolean isMailTipsEnabled()

      Gets whether the mail tips service is available.
      Returns:
        true, if is mail tips enabled

    - #### getMaxRecipients

          public int getMaxRecipients()

      Gets the maximum number of recipients that can be passed to the GetMailTips Operation.
      Returns:
        the max recipients

    - #### getMaxMessageSize

          public int getMaxMessageSize()

      Gets the maximum message size a recipient can accept.
      Returns:
        the max message size

    - #### getLargeAudienceThreshold

          public int getLargeAudienceThreshold()

      Gets the large audience threshold for a client.
      Returns:
        the large audience threshold

    - #### getShowExternalRecipientCount

          public boolean getShowExternalRecipientCount()

      Gets whether consumers of the GetMailTips Operation have to show mail tips that indicate the number of external recipients to which a message is addressed.
      Returns:
        the show external recipient count

    - #### getInternalDomains

          public java.util.List<SmtpDomain> getInternalDomains()

      Gets the list of internal SMTP domains of the organization.
      Returns:
        the internal domains